AI Model API视频(Videos)Doubao Format
Get Doubao Video Generation Task Status
Query the status and result of a Doubao Seedance video generation task.
It is recommended to poll every 10 seconds. Video generation typically takes 2~5 minutes.
Task status descriptions:
NOT_START: Not startedIN_PROGRESS: GeneratingSUCCESS: Generation successful, read result_urlFAILURE: Generation failed, read fail_reason
Authorization
BearerAuth
AuthorizationBearer <token>
使用 Bearer Token 认证。
格式: Authorization: Bearer sk-xxxxxx
In: header
Path Parameters
task_id*string
提交任务接口返回的任务 ID
Response Body
application/json
application/json
curl -X GET "https://www.aivve.cn/v1/video/generations/task_JTrqvL8jP4DGaZh7PJH0Ykg7DshNvnk6"{
"code": "success",
"data": {
"task_id": "task_JTrqvL8jP4DGaZh7PJH0Ykg7DshNvnk6",
"status": "IN_PROGRESS",
"progress": "50%"
}
}{
"error": {
"message": "string",
"type": "string",
"param": "string",
"code": "string"
}
}How is this guide?